Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Class BorderedBorderItemEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
                              org.eclipse.gmf.runtime.diagram.ui.editparts.AbstractBorderItemEditPart
                                  org.eclipse.gmf.runtime.diagram.ui.editparts.BorderedBorderItemEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IAdaptableSelection, IBorderedShapeEditPart, IBorderItemEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, NodeEditPart, NotificationListener, RequestConstants

public abstract class BorderedBorderItemEditPart
extends AbstractBorderItemEditPart
implements IBorderedShapeEditPart

A border item shape that can also have border items. This editpart has the behavior of a `AbstractBorderItemEditPart` and a `AbstractBorderedShapeEditPart`.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`BorderedBorderItemEditPart(View view)` Create an instance.

Method Summary
`protected void` `addBorderItem(IFigure borderItemContainer, IBorderItemEditPart borderItemEditPart)` Adds the border item figure to the border item container with a locator.
`protected void` `addChildVisual(EditPart childEditPart, int index)`
`protected void` `createDefaultEditPolicies()` Should be overridden to install editpolicies programmatically.
`protected abstract NodeFigure` `createMainFigure()` Creates this editpart's main figure.
`protected NodeFigure` `createNodeFigure()` creates a node figure
`BorderedNodeFigure` `getBorderedFigure()` Return the editpart's bordered figure.
`protected IFigure` `getContentPaneFor(IGraphicalEditPart editPart)` gets the content pane for the supplied editpart.
`IFigure` `getMainFigure()` Returns the editpart's main figure.
`protected void` `removeChildVisual(EditPart child)`
`void` `setLayoutConstraint(EditPart child, IFigure childFigure, java.lang.Object constraint)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.AbstractBorderItemEditPart
`getBorderItemLocator, getDragTracker, getPrimaryChildEditPart, getPrimaryDragEditPolicy, refreshBounds`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart
`canAttachNote, createFigure, getModelSourceConnections, getModelTargetConnections, getNodeFigure, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, handleNotificationEvent, mapConnectionAnchorToTerminal, mapTerminalToConnectionAnchor`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getSize, refreshVisuals`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getEditDomain, getEditingDomain, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setBackgroundColor, setFont, setFontColor, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart
`findEditPart, getChildBySemanticHint, getDiagramEditDomain, getDiagramPreferencesHint, getEditingDomain, getNotationView, getPreferredValue, getPrimaryView, getStructuralFeatureValue, getTopGraphicEditPart, resolveSemanticElement, setStructuralFeatureValue`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart
`disableEditMode, enableEditMode, isEditModeEnabled`

Constructor Detail

### BorderedBorderItemEditPart

    public BorderedBorderItemEditPart(View view)

  Create an instance.

Parameters:
  `view` - the editpart's model.

Method Detail

### createNodeFigure

    protected NodeFigure createNodeFigure()

  Description copied from class: `ShapeNodeEditPart`
  creates a node figure

  Specified by:
    `createNodeFigure` in class `ShapeNodeEditPart`
  Returns:
    `NodeFigure`

### createMainFigure

    protected abstract NodeFigure createMainFigure()

  Creates this editpart's main figure.

  Returns:
    the created `NodeFigure`

### getMainFigure

    public IFigure getMainFigure()

  Description copied from interface: `IBorderedShapeEditPart`
  Returns the editpart's main figure.

  Specified by:
    `getMainFigure` in interface `IBorderedShapeEditPart`
  Returns:
    `IFigure`

### getBorderedFigure

    public final BorderedNodeFigure getBorderedFigure()

  Description copied from interface: `IBorderedShapeEditPart`
  Return the editpart's bordered figure.

  Specified by:
    `getBorderedFigure` in interface `IBorderedShapeEditPart`
  Returns:
    `IFigure`

### getContentPaneFor

    protected IFigure getContentPaneFor(IGraphicalEditPart editPart)

  Description copied from class: `GraphicalEditPart`
  gets the content pane for the supplied editpart.

  Overrides:
    `getContentPaneFor` in class `GraphicalEditPart`
  Parameters:
    `editPart` - the edit part to use to get the contents pane
  Returns:
    `IFigure`

### addChildVisual

    protected void addChildVisual(EditPart childEditPart,
                                  int index)

### removeChildVisual

    protected void removeChildVisual(EditPart child)

### addBorderItem

    protected void addBorderItem(IFigure borderItemContainer,
                                 IBorderItemEditPart borderItemEditPart)

  Adds the border item figure to the border item container with a locator.

  Parameters:
    `borderItemContainer` - the figure to which the border item figure is added
    `borderItemEditPart` - the border item editpart from which to retrieve the border item figure and determine which locator to create

### setLayoutConstraint

    public void setLayoutConstraint(EditPart child,
                                    IFigure childFigure,
                                    java.lang.Object constraint)

  Specified by:
    `setLayoutConstraint` in interface `GraphicalEditPart`

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Description copied from class: `GraphicalEditPart`
  Should be overridden to install editpolicies programmatically.

  Overrides:
    `createDefaultEditPolicies` in class `ShapeNodeEditPart`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.